%define piname	watchdog_pi

Name:		opencpn-watchdog-plugin
Summary:	Plugin for OpenCpn implementing alarms 
Version:	1.9.050
Release:	%mkrel 1
License:	GPLv3+
Group:		Geography
URL:		https://github.com/seandepagnier/%{piname}
# Bugtracker: http://willkamp.com/opencpn/flyspray/
# See opencpn spec for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.xz

BuildRequires:	cmake
BuildRequires:	bzip2-devel
BuildRequires:	gettext
BuildRequires:	wxgtku3.0-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	tinyxml-devel

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
This plugin implements various configurable alarms alerting the user about
the changing conditions round the boat.
Also implements an improved anchor alarm.

%prep
%setup -q -n %{piname}

# To be sure to use system tinyxml headers and not bundled ones
rm -f plugins/%{piname}/src/tinyxml/tinyxml*.cpp include/tinyxml.h

%build
%cmake

%make_build

%install
%make_install -C build

%find_lang opencpn-%{piname}

%ifarch x86_64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Wed Nov 01 2017 bb2 <bb2> - 1.9.050-1pclos2017
- new version

